<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: src/ImageViewer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">ImageViewer.h</div></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef IMAGEVIEWER_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define IMAGEVIEWER_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;SDL2/SDL.h&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &quot;Image.h&quot;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="classImageViewer.html">   10</a></span><span class="keyword">class </span><a class="code hl_class" href="classImageViewer.html">ImageViewer</a> {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    SDL_Window* window; </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    SDL_Renderer* renderer; </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    SDL_Surface * surface; </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    SDL_Texture * texture; </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    SDL_Rect rect; </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <a class="code hl_function" href="classImageViewer.html#a968687d70a4f15be8442212da98ad36b">ImageViewer</a>();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <a class="code hl_function" href="classImageViewer.html#afe2b04078dd9112aad6b104f1ac60359">~ImageViewer</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classImageViewer.html#a63bfac094cfe3ebb21687a60e801085f">afficher</a>(<span class="keyword">const</span> <a class="code hl_class" href="classImage.html">Image</a>&amp; im);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classImageViewer.html#aa79864891c52aff955d89f4b12cbbad6">aff</a>(<span class="keyword">const</span> <a class="code hl_class" href="classImage.html">Image</a>&amp; im);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classImageViewer.html#aad94e08cc2e5d8068ebaee0661bb517c">updateSize</a>(<span class="keyword">const</span> <a class="code hl_class" href="classImage.html">Image</a>&amp; im, <span class="keywordtype">int</span> emX, <span class="keywordtype">int</span> emY, <span class="keywordtype">int</span> tX, <span class="keywordtype">int</span> tY);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>};</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclassImageViewer_html"><div class="ttname"><a href="classImageViewer.html">ImageViewer</a></div><div class="ttdoc">A class for displaying images using SDL.</div><div class="ttdef"><b>Definition:</b> ImageViewer.h:10</div></div>
<div class="ttc" id="aclassImageViewer_html_a63bfac094cfe3ebb21687a60e801085f"><div class="ttname"><a href="classImageViewer.html#a63bfac094cfe3ebb21687a60e801085f">ImageViewer::afficher</a></div><div class="ttdeci">void afficher(const Image &amp;im)</div><div class="ttdoc">Displays the image passed as a parameter and allows (de)zooming.</div><div class="ttdef"><b>Definition:</b> ImageViewer.cpp:57</div></div>
<div class="ttc" id="aclassImageViewer_html_a968687d70a4f15be8442212da98ad36b"><div class="ttname"><a href="classImageViewer.html#a968687d70a4f15be8442212da98ad36b">ImageViewer::ImageViewer</a></div><div class="ttdeci">ImageViewer()</div><div class="ttdoc">Constructor for ImageViewer class.</div><div class="ttdef"><b>Definition:</b> ImageViewer.cpp:6</div></div>
<div class="ttc" id="aclassImageViewer_html_aa79864891c52aff955d89f4b12cbbad6"><div class="ttname"><a href="classImageViewer.html#aa79864891c52aff955d89f4b12cbbad6">ImageViewer::aff</a></div><div class="ttdeci">void aff(const Image &amp;im)</div><div class="ttdoc">Update the display with the given image.</div><div class="ttdef"><b>Definition:</b> ImageViewer.cpp:102</div></div>
<div class="ttc" id="aclassImageViewer_html_aad94e08cc2e5d8068ebaee0661bb517c"><div class="ttname"><a href="classImageViewer.html#aad94e08cc2e5d8068ebaee0661bb517c">ImageViewer::updateSize</a></div><div class="ttdeci">void updateSize(const Image &amp;im, int emX, int emY, int tX, int tY)</div><div class="ttdoc">Updates the size of the image.</div><div class="ttdef"><b>Definition:</b> ImageViewer.cpp:116</div></div>
<div class="ttc" id="aclassImageViewer_html_afe2b04078dd9112aad6b104f1ac60359"><div class="ttname"><a href="classImageViewer.html#afe2b04078dd9112aad6b104f1ac60359">ImageViewer::~ImageViewer</a></div><div class="ttdeci">~ImageViewer()</div><div class="ttdoc">Destructor for ImageViewer class.</div><div class="ttdef"><b>Definition:</b> ImageViewer.cpp:39</div></div>
<div class="ttc" id="aclassImage_html"><div class="ttname"><a href="classImage.html">Image</a></div><div class="ttdoc">this class represents an image</div><div class="ttdef"><b>Definition:</b> Image.h:17</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6
</small></address>
</body>
</html>
